{ pkgs, osConfig, ... }:
let
  my-pomodoro = pkgs.callPackage ../../packages/open-pomodoro.nix { };
  withCuda = if (osConfig.system.name == "gunter") then true else false;
in
{
  home.packages = with pkgs; [
    # My own packages
    my-pomodoro

    # Generic tools
    age
    alacritty
    bat
    # btop
    (btop.override {
      cudaSupport = withCuda;
    })
    bzip2
    croc
    distrobox
    dust
    easyeffects
    eza
    fd
    ffmpeg
    file
    fzf
    go-task
    glib
    grimblast
    jq
    ijq
    kitty
    kubectl
    krita
    ncdu
    nwg-look
    mumble
    mpv
    nvd
    pamixer
    pinentry
    pre-commit
    (prismlauncher.override {
      withWaylandGLFW = true;
    })
    pulseaudio
    pulsemixer
    rbw
    restic
    ripgrep
    rofi-rbw-wayland
    sops
    spotify
    spicetify-cli
    sshfs
    tldr
    devenv
    ventoy
    virt-manager
    discord
    zoxide

    # k8s tools
    talosctl
    k9s
    cilium-cli
    kubernetes-helm
    cmctl
    krew

    # steam
    # steam-run
    # steamcmd
    # gamescope
    tokei
    unzip
    yt-dlp
    zoom-us
    vmware-horizon-client

    # Editors
    # vscode

    # Go stuff
    go
    delve
    gopls

    # js/ts
    nodejs
    nodePackages.pnpm
    typescript

    # Py stuff
    (python312.withPackages (p: with p; [
      requests
      ipython
    ]))
    poetry
    ruff

    # rust stuff
    rustc
    cargo
    rust-analyzer

    # blender
    (blender.override {
      cudaSupport = withCuda;
    })

    # Homemade shit
    ghettoptt
    huecli
  ];
}
